Pular para o conteúdo principal
GET
/
v1
/
str
/
capabilities
Listar capacidades STR
curl --request GET \
  --url https://spb.sandbox.lerian.net/v1/str/capabilities \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://spb.sandbox.lerian.net/v1/str/capabilities"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://spb.sandbox.lerian.net/v1/str/capabilities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "correlationId": "<string>",
  "items": [
    {
      "capabilityId": "<string>",
      "direction": "<string>",
      "handlingMode": "<string>",
      "isAvailable": true,
      "name": "<string>",
      "operationFamily": "<string>",
      "supportsAudit": true,
      "supportsEvents": true,
      "supportsInbound": true,
      "supportsSubmission": true,
      "protocolMetadata": {}
    }
  ],
  "limit": 123,
  "nextCursor": "<string>",
  "prevCursor": "<string>"
}
{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank"
}

Autorizações

Authorization
string
header
obrigatório

JWT bearer token issued by the identity provider.

Parâmetros de consulta

operationFamily
string

Exact-match operation family filter (e.g. bankTransfer).

handlingMode
enum<string>

Canonical HandlingMode filter.

Opções disponíveis:
PUBLICLY_SUBMITTABLE,
RECEIVE_ONLY,
LIFECYCLE_RESPONSE,
DIAGNOSTIC_ONLY,
NOT_APPLICABLE,
NOT_READY
direction
enum<string>

Direction filter.

Opções disponíveis:
INBOUND,
OUTBOUND,
BIDIRECTIONAL
isAvailable
enum<string>

Filter by availability flag. Absent means no filter.

Opções disponíveis:
true,
false
cursor
string

Opaque pagination token from a previous response.

limit
integer<int64>
padrão:50

Items per page.

Intervalo obrigatório: 1 <= x <= 100

Resposta

OK

correlationId
string
obrigatório

Request-scoped correlation identifier echoing X-Request-ID, for pivoting from response to trace.

Exemplo:

"req-7a3f9c2e"

items
object[] | null
obrigatório

Capabilities on this page.

limit
integer<int64>
obrigatório

Page size applied to this response (max items returned).

Exemplo:

50

nextCursor
string

Opaque cursor for the next page; null when there are no further pages.

prevCursor
string

Opaque cursor for the previous page; reserved for future bidirectional cursoring, always null today.